GNU bug report logs - #37460
27.0.50; Imenu bug when imenu-auto-rescan is enabled

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alex Peitsinis <alexpeitsinis@HIDDEN>; dated Thu, 19 Sep 2019 14:32:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37460 <at> debbugs.gnu.org:


Received: (at 37460) by debbugs.gnu.org; 20 Sep 2019 16:18:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 12:18:22 2019
Received: from localhost ([127.0.0.1]:58350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBLbx-0002zR-RV
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2019 12:18:22 -0400
Received: from mail-lf1-f42.google.com ([209.85.167.42]:46907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexpeitsinis@HIDDEN>) id 1iBLbv-0002zA-4w
 for 37460 <at> debbugs.gnu.org; Fri, 20 Sep 2019 12:18:19 -0400
Received: by mail-lf1-f42.google.com with SMTP id t8so5411709lfc.13
 for <37460 <at> debbugs.gnu.org>; Fri, 20 Sep 2019 09:18:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=X987aP57c70t2m4Pjs02q/Vr9I/h/5iKcmSJ3XWeDu4=;
 b=fcy5XcR0Dtx4NC/tQ1Uif14p1yWP4pEC/coWfechWYDCFypGoX3HKf6rPBKMtG9GKM
 pfdgEQiP9W15XGsT5WzXl/sOvHtmxxRfe5QGhODrMhg8PgECuc2+3fZbSpgedYl11Lp+
 2Rj6sCwZi9OHhyIB4juiFoJFdKs89TPMulPNfulFrfGndfbRJquliRn6JsMEKE65vfTx
 EtjGezJttAfuzUWnfGHNP9tqZCWSr0LhXlZdsh/I6mkOfKT3uARbWHri6VJq5Hsyvhd1
 oOU2C8pE5PQQxH8WH55bsQcCZN/LTCN9bXQ6HXv/kZZMHl05AdWsPUfF7zb3FqgZeZ4d
 IadQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=X987aP57c70t2m4Pjs02q/Vr9I/h/5iKcmSJ3XWeDu4=;
 b=NyMdDaZu+9SxLgSiBFQ/6dNaInmMGXgtUz+MStjTzc/PL0vWUq1BCURBLci0zXJt7H
 WE4azx8aTRRwukyGrhZVNci0sW5C/A6AKyypzJIQm1cyLDcXZw/M+kNWR14JSrnLHlEh
 dxvMb6i+OhphUUQYpT2dAHyWb5AyLR/wDexN8Ny7TVdtcY7n4OhBWza8Pw7q1Wfk9l78
 u2QVbTTH45y23YC0BecufaGORumdg1oggQdHVIhRHNbNwOq8DcRf1V8u1GJLFYVILZUG
 FsX2AildYrU89aqNMaAH/Jgc5MFDq6T79cHv9wE9ZTHUJ6b2z36lDJJ3NRSDhWN2DSl3
 r+LA==
X-Gm-Message-State: APjAAAUpXo3W/HIqULCOlMFjV77amGP51uPGWXpbhfspqBrnmcNzyNjV
 N+0jd6RBWrH+jBeVPCe656aWJJf+4NoFH4CDUtDAij/K
X-Google-Smtp-Source: APXvYqy+ZT8LPBdD5OIZHX/Bdc2um4yvvMrXOFvOGVOt4azJNMkw9jbfwX0lbs/SS3BmZVcu69bkkOR5r9Ee27NXPe4=
X-Received: by 2002:a19:f11c:: with SMTP id p28mr9105209lfh.44.1568996292524; 
 Fri, 20 Sep 2019 09:18:12 -0700 (PDT)
MIME-Version: 1.0
References: <CAG+14fC-Tb8jb09gfLcutViLVLAJi4Pp+xGF52LW3Ckb=iFRsA@HIDDEN>
In-Reply-To: <CAG+14fC-Tb8jb09gfLcutViLVLAJi4Pp+xGF52LW3Ckb=iFRsA@HIDDEN>
From: Alex Peitsinis <alexpeitsinis@HIDDEN>
Date: Fri, 20 Sep 2019 17:18:05 +0100
Message-ID: <CAG+14fB1NM3yzBC7tc-===dMxH=NQ2V3qEyka6KaK7h7crbOmw@HIDDEN>
Subject: bug#37460: Imenu bug when imenu-auto-rescan is enabled
To: 37460 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000ab7df70592fe6a5e"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37460
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000ab7df70592fe6a5e
Content-Type: text/plain; charset="UTF-8"

Fixed in #30449

--000000000000ab7df70592fe6a5e
Content-Type: text/html; charset="UTF-8"

<div dir="auto">Fixed in #30449</div>

--000000000000ab7df70592fe6a5e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37460; Package emacs. Full text available.

Message received at 37460 <at> debbugs.gnu.org:


Received: (at 37460) by debbugs.gnu.org; 19 Sep 2019 18:23:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 14:23:29 2019
Received: from localhost ([127.0.0.1]:56411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iB15U-00064F-Jl
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 14:23:29 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:44346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexpeitsinis@HIDDEN>) id 1iB05H-00048S-3H
 for 37460 <at> debbugs.gnu.org; Thu, 19 Sep 2019 13:19:11 -0400
Received: by mail-lf1-f41.google.com with SMTP id q11so2926442lfc.11
 for <37460 <at> debbugs.gnu.org>; Thu, 19 Sep 2019 10:19:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=3K2fNBVr5h9tQFlMxISWnj6XG7+AtY7HFMxvzM6NDII=;
 b=rUxWeOghKASyHAbkPBUI97BEzyfPAL0kdSU5kFOcZ2RluGVf3AwybQT3olB0y1xlWd
 8ZVzowBFbIvojXtatny+iwfGWmg7HxPhwxwKIPyBK6Ni8FAVbZ5l5EY4ARrQRUyYB6/U
 ry8+vnrRcG/NOwHNurnTo4iq8mSXIwaZK1xzYQEuXsilhx/W93tUV9wZcSzvbQMl1FuD
 SXd8YR2j12kuyLW09npavsj/uBMYgoCI+mhSit8toZp4XdFtRJpPplJMDeKSCeFa1ctp
 CRj5AmQeeIMHW/YQkSmYjTQihYivJz4Q9EMzBqng7//lvqSefXTW8MuFmjXlrbpN6rMK
 FmhA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=3K2fNBVr5h9tQFlMxISWnj6XG7+AtY7HFMxvzM6NDII=;
 b=UUv+8VroQSkTu/GCK0Uj4MzWShgKoi9LM4XQ2AJwrZ71SQKWWkP1oUJkdYMwgbQ5ZX
 rcMIY+7U6ffBxxD29M2Ma/Bh+N6x+/svEDV0UCSyKYFofcs5daezx1iSlQR0OtKcJLIB
 Qmk5CLtBrOTg3KKXpkmxD5rfvWxWjmKTcnwdkOlqsumYbxt58jMPqob9rd2O019Ge8O8
 7njoCyuuW51z9ru/v1/LfTwDnRRDb5hzlFMphtpVD+Yy+MkaZ5alOWIfTKMMNYLY3J+k
 WRji4Cgi+W9D/WiXzerTeQP8kJNuq90Qk9yNHIn7Md6Pecph54Baos9FhtW46zvKFhyM
 sIVQ==
X-Gm-Message-State: APjAAAVrZuPbLI9hxNRBFiSnVlpi7EBxdB7U/JeJ/OlomhQEIT7TdZbK
 6P0KFHhese+jIdc17d0bEYNTq95OZps21P8B69uTwIu9
X-Google-Smtp-Source: APXvYqzkqdnWBqHSWCEdtUkY/szuSYXAwCAkQDi/9xqrZ2GxOTFOSqSc/OlmGBgl/DU5P8lo/RRy1pRa5IiM2Iauzpg=
X-Received: by 2002:a19:c80b:: with SMTP id y11mr5924660lff.184.1568913544939; 
 Thu, 19 Sep 2019 10:19:04 -0700 (PDT)
MIME-Version: 1.0
From: Alex Peitsinis <alexpeitsinis@HIDDEN>
Date: Thu, 19 Sep 2019 18:18:53 +0100
Message-ID: <CAG+14fC-Tb8jb09gfLcutViLVLAJi4Pp+xGF52LW3Ckb=iFRsA@HIDDEN>
Subject: Patch for bug#37460: Imenu bug when imenu-auto-rescan is enabled
To: 37460 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary="00000000000087a0d00592eb26aa"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37460
X-Mailman-Approved-At: Thu, 19 Sep 2019 14:23:26 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000087a0d00592eb26aa
Content-Type: multipart/alternative; boundary="00000000000087a0cc0592eb26a8"

--00000000000087a0cc0592eb26a8
Content-Type: text/plain; charset="UTF-8"

I've attached a patch to fix the bug. The fix is that, if
`imenu-auto-rescan` is enabled, the current `imenu--index-alist` is
returned, otherwise it's returned with the `*Rescan*` option.

--00000000000087a0cc0592eb26a8
Content-Type: text/html; charset="UTF-8"

<div dir="ltr">I&#39;ve attached a patch to fix the bug. The fix is that, if `imenu-auto-rescan` is enabled, the current `imenu--index-alist` is returned, otherwise it&#39;s returned with the `*Rescan*` option.</div>

--00000000000087a0cc0592eb26a8--

--00000000000087a0d00592eb26aa
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Fix-imenu-bug-when-imenu-auto-rescan-is-enabled.patch"
Content-Disposition: attachment; 
	filename="0001-Fix-imenu-bug-when-imenu-auto-rescan-is-enabled.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k0qykk3a0>
X-Attachment-Id: f_k0qykk3a0

RnJvbSAyM2Q0OGQwZGZhMDYyZjFlMGM1OGVhOGZmMDNlYTEyNmExZjE0MjIwIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBBbGV4IFBlaXRzaW5pcyA8YWxleC5wZWl0c2luaXNAaGFiaXRv
LmNvbT4KRGF0ZTogVGh1LCAxOSBTZXAgMjAxOSAxODowNjo0NCArMDEwMApTdWJqZWN0OiBbUEFU
Q0hdIEZpeCBpbWVudSBidWcgd2hlbiBpbWVudS1hdXRvLXJlc2NhbiBpcyBlbmFibGVkCgotLS0K
IGxpc3AvaW1lbnUuZWwgfCAzICsrLQogMSBmaWxlIGNoYW5nZWQsIDIgaW5zZXJ0aW9ucygrKSwg
MSBkZWxldGlvbigtKQoKZGlmZiAtLWdpdCBhL2xpc3AvaW1lbnUuZWwgYi9saXNwL2ltZW51LmVs
CmluZGV4IDlkZjU5N2IuLmY4YmZjNDAgMTAwNjQ0Ci0tLSBhL2xpc3AvaW1lbnUuZWwKKysrIGIv
bGlzcC9pbWVudS5lbApAQCAtNTEwLDcgKzUxMCw4IEBAIGltZW51LS1tYWtlLWluZGV4LWFsaXN0
CiAgICAgICAgIk5vIGl0ZW1zIHN1aXRhYmxlIGZvciBhbiBpbmRleCBmb3VuZCBpbiB0aGlzIGJ1
ZmZlciIpKQogICAob3IgaW1lbnUtLWluZGV4LWFsaXN0CiAgICAgICAoc2V0cSBpbWVudS0taW5k
ZXgtYWxpc3QgKGxpc3QgbmlsKSkpCi0gICh1bmxlc3MgaW1lbnUtYXV0by1yZXNjYW4KKyAgKGlm
IGltZW51LWF1dG8tcmVzY2FuCisgICAgICBpbWVudS0taW5kZXgtYWxpc3QKICAgICA7OyBBZGQg
YSByZXNjYW4gb3B0aW9uIHRvIHRoZSBpbmRleC4KICAgICAoY29ucyBpbWVudS0tcmVzY2FuLWl0
ZW0gaW1lbnUtLWluZGV4LWFsaXN0KSkpCiAKLS0gCjIuNy40Cgo=
--00000000000087a0d00592eb26aa--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37460; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Sep 2019 14:31:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 10:31:44 2019
Received: from localhost ([127.0.0.1]:56268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAxTD-0007uL-Pi
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 10:31:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:45383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexpeitsinis@HIDDEN>) id 1iAuZ2-00011h-L7
 for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 07:25:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59531)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <alexpeitsinis@HIDDEN>) id 1iAuYx-00075q-EB
 for bug-gnu-emacs@HIDDEN; Thu, 19 Sep 2019 07:25:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.2 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,SPOOFED_FREEMAIL,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alexpeitsinis@HIDDEN>) id 1iAuYt-000145-I7
 for bug-gnu-emacs@HIDDEN; Thu, 19 Sep 2019 07:25:27 -0400
Received: from mail-lf1-x142.google.com ([2a00:1450:4864:20::142]:33629)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <alexpeitsinis@HIDDEN>)
 id 1iAuYr-00010r-HI
 for bug-gnu-emacs@HIDDEN; Thu, 19 Sep 2019 07:25:22 -0400
Received: by mail-lf1-x142.google.com with SMTP id y127so2108294lfc.0
 for <bug-gnu-emacs@HIDDEN>; Thu, 19 Sep 2019 04:25:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=Ql/PmfPkW4ZA1KLarAZaivcJ2qVu+DUg+kmf6s62vvk=;
 b=VuVIlhCHIGMVhQUyfk7DdzMM6/0yQ/Slx1Ci7Na3PLds4Ji930ZFPwH195MQpA/KiF
 fIsurqfK4Y9bz6rvN1X6JbIzrlm3tMnck2acIhkgWLdAhGBnD8q5BKQ7/OS4IAVpTScD
 0ROpQps/DfTOrbR9CN4LjAidx6Nepne7815CbqPfNoIvi1Io7qUWAk3zlxayfuo4gBeD
 pgt1DtcBc+8VhoquxMwQhJSV+lbgDUxBFwivfSmaruJtQjFnqdZw0ell+ZZXWxin6zKB
 Y830JZH4YzqgpJ6kG6f8qA6h7lhy+NMMjLtDYyN91Ao8XbO40293C3VMxIRgkpJIWuwX
 HFgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Ql/PmfPkW4ZA1KLarAZaivcJ2qVu+DUg+kmf6s62vvk=;
 b=PRCcAN1ZihDMDcujjQ/Qhqj5XwYTwLgJhq211A6IHmjC/DM8actooqrZF+TnDGwQsD
 ev47V5ihFQY+IDQFa/6dA9ncBPMczip0bNxD/2tEEVCASI0seL1p5yTwSCGOhFSD4hxz
 1WWTBtkSQNZDFkoBIKcgXoe70cTXOUfkoLldUYrZw4vZq6+e6yeMYwF8pRx7oalgSNg2
 TIf0A4mdE3WdzuWm1YRnUT0tl3uSQFFnc27MG2IsrFZMOMOKOWWWWWevv3TIfSYYeWkR
 Gekd1OxuVJgm4z5RmO5PJR7k94rCwpgopvsnUkIDGFNTfsCEBKNbZLjbTqVbv/gDSLgr
 FYSQ==
X-Gm-Message-State: APjAAAXB66xfBkq//Sgcp6ksFA6O7pLFSmHcGa/cygFEx922xjvp/omD
 nnccgx2fkt9TuDkJzU/DAjelHyW/MgEmX9IYmYo7lH46lhk=
X-Google-Smtp-Source: APXvYqzUQtWoO0PBlKnJqAjYaX+hrsoNX1Klk/icLVPXCM1dBojmIHcXtqdLPORXGPohqlKthEWYAx5SvIIkE5dZ5SA=
X-Received: by 2002:a19:f11c:: with SMTP id p28mr4691031lfh.44.1568892316771; 
 Thu, 19 Sep 2019 04:25:16 -0700 (PDT)
MIME-Version: 1.0
From: Alex Peitsinis <alexpeitsinis@HIDDEN>
Date: Thu, 19 Sep 2019 12:25:05 +0100
Message-ID: <CAG+14fDeZrxzyMW0_v1cMgQxpwgpominM7AoLB86vu4wPm7hgA@HIDDEN>
Subject: 27.0.50; Imenu bug when imenu-auto-rescan is enabled
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000003b6abc0592e63540"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::142
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The relevant commit (here linked from github):
 https://github.com/emacs-mirror/emacs/commit/8635147ccba1fc8e1010010da8c3f8e467562f76#diff-10f71b5f4495401d9de9677a0836462b
 With this latest change, if `imenu-auto-rescan` is set to `t` then calling
 `imenu--index-alist` will return `nil`. The fix is to change `(unless
 imenu-auto-rescan (cons ...))` to `(if imenu-auto-resca [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: x.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (alexpeitsinis[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.4 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 19 Sep 2019 10:31:43 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

--0000000000003b6abc0592e63540
Content-Type: text/plain; charset="UTF-8"

The relevant commit (here linked from github):
https://github.com/emacs-mirror/emacs/commit/8635147ccba1fc8e1010010da8c3f8e467562f76#diff-10f71b5f4495401d9de9677a0836462b

With this latest change, if `imenu-auto-rescan` is set to `t` then
calling `imenu--index-alist` will return `nil`. The fix is to change
`(unless imenu-auto-rescan (cons ...))` to
`(if imenu-auto-rescan imenu--index-alist (cons ...))` in `imenu.el`.

Reproduction steps:
- Visit a file that supports `imenu` (e.g. an elisp buffer with some
functions defined)
- C-M-; (setq imenu-auto-rescan nil)
- M-x imenu
- There should be items in the list
- C-M-; (setq imenu-auto-rescan t)
- M-x imenu
- The list should be empty


In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.18.9,
cairo version 1.14.6)
 of 2019-09-17 built on alex-Z370M-D3H
Repository revision: bc1c2cf009e30af77523fd87a8910fdbc4284704
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Ubuntu 16.04.6 LTS

Recent messages:
Mark set [3 times]
Auto-saving...
imenu--make-index-alist
Scanning declarations in Cmdline.hs... ( 89%)
Sorting declarations in Cmdline.hs...done
Quit [2 times]
counsel-imenu
Scanning declarations in Cmdline.hs... ( 89%)
Sorting declarations in Cmdline.hs...done
Quit [2 times]

Configured using:
 'configure --with-imagemagick --with-gnutls --with-xwidgets
 --with-cairo --with-mailutils --with-pop
 --prefix=/home/alex/opt/emacs/install'

Configured features:
XPM JPEG TIFF GIF PNG CAIRO SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
GNUTLS LIBXML2 FREETYPE HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE
XIM THREADS XWIDGETS PDUMPER GMP

Important settings:
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS:
  locale-coding-system: utf-8-unix

Major mode: Haskell

Minor modes in effect:
  subword-mode: t
  haskell-decl-scan-mode: t
  intero-mode: t
  hl-line-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  winner-mode: t
  direnv-mode: t
  pdf-occur-global-minor-mode: t
  ivy-mode: t
  projectile-mode: t
  persp-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  company-quickhelp-mode: t
  company-quickhelp-local-mode: t
  global-company-mode: t
  company-mode: t
  haskell-indentation-mode: t
  hybrid-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  global-evil-visualstar-mode: t
  evil-visualstar-mode: t
  evil-leader-mode: t
  global-diff-hl-mode: t
  diff-hl-mode: t
  whitespace-mode: t
  highlight-numbers-mode: t
  recentf-mode: t
  xah-math-input-mode: t
  global-xah-math-input-mode: t
  global-anzu-mode: t
  anzu-mode: t
  engine-mode: t
  which-key-mode: t
  show-smartparens-global-mode: t
  show-smartparens-mode: t
  smartparens-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  shell-dirtrack-mode: t
  evil-local-mode: t
  save-place-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny rfc822 mml mml-sec epa
epg epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils misearch
multi-isearch pulse bug-reference cua-base expand-region
subword-mode-expansions text-mode-expansions the-org-mode-expansions
python-el-fgallina-expansions html-mode-expansions er-basic-expansions
expand-region-core expand-region-custom evil-nerd-commenter
evil-nerd-commenter-operator evil-nerd-commenter-sdk smartparens-html
sgml-mode dom cl-print eieio-opt speedbar sb-image ezimage dframe
help-fns radix-tree haskell-doc inf-haskell haskell haskell-completions
haskell-load haskell-commands highlight-uses-mode haskell-modules
haskell-sandbox haskell-navigate-imports haskell-repl haskell-svg
haskell-collapse hideshow haskell-debug haskell-interactive-mode
haskell-presentation-mode haskell-compile haskell-hoogle haskell-process
haskell-session vc-git cap-words superword subword haskell-decl-scan
intero time hl-line company-oddmuse company-keywords company-etags
company-gtags company-dabbrev-code company-dabbrev company-files
company-capf company-cmake company-xcode company-clang company-semantic
company-eclim company-template company-bbdb company-anaconda
anaconda-mode url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap pythonic pyvenv
smartparens-python python tramp-sh tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat parse-time iso8601 ls-lisp
symbol-overlay hi-lock winner lucius-mono-theme ob-haskell ob-python
powerline powerline-separators powerline-themes direnv pdf-occur tablist
tablist-filter semantic/wisent/comp semantic/wisent
semantic/wisent/wisent semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw mode-local cedet pdf-isearch
let-alist pdf-misc imenu pdf-tools cus-edit cus-start cus-load pdf-view
bookmark text-property-search pp jka-compr pdf-cache pdf-info tq
pdf-util image-mode dired-filter f dired-aux dired-x dired-subtree
dired-hacks-utils smex ido ivy-xref counsel-projectile counsel xdg
swiper ivy flx delsel colir color ivy-overlay ag vc-svn find-dired s
dired dired-loaddefs persp-projectile projectile grep ibuf-ext ibuffer
ibuffer-loaddefs perspective cl flycheck company-quickhelp pos-tip
company proof-general custom-purescript-font-lock derived
smartparens-haskell haskell-mode haskell-cabal haskell-utils
haskell-font-lock haskell-indentation haskell-string
haskell-sort-imports haskell-lexeme haskell-align-imports haskell-compat
haskell-complete-module haskell-ghc-support flymake-proc flymake
warnings etags fileloop xref project compile dabbrev haskell-customize
evil-surround evil-visualstar evil-leader diff-hl vc-dir ewoc vc
vc-dispatcher diff-mode whitespace highlight-numbers parent-mode
em-smart pcase em-hist eshell em-pred esh-mode esh-cmd esh-ext esh-proc
esh-io esh-arg esh-module esh-groups esh-opt esh-util recentf
tree-widget wid-edit xah-math-input evil-anzu anzu engine-mode which-key
smartparens-config smartparens-org smartparens-text evil-smartparens
smartparens dash evil evil-keybindings evil-integration undo-tree diff
evil-maps evil-commands reveal flyspell ispell evil-jumps
evil-command-window evil-types evil-search evil-ex shell evil-macros
evil-repeat evil-states evil-core evil-common windmove thingatpt rect
evil-digraphs evil-vars autorevert filenotify saveplace diminish
use-package use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key use-package-core finder-inf org-element
avl-tree generator org advice org-macro org-footnote org-pcomplete
pcomplete org-list org-faces org-entities time-date noutline outline
easy-mmode org-version ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob
ob-table ob-keys ob-exp ob-comint comint ansi-color ring ob-core ob-eval
org-compat org-macs org-loaddefs format-spec find-func cal-menu calendar
cal-loaddefs rx cl-extra help-mode proof-site proof-autoloads edmacro
kmacro info package easymenu browse-url url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting xwidget-internal cairo move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 672434 60435)
 (symbols 48 42799 6)
 (strings 32 200345 8564)
 (string-bytes 1 6847260)
 (vectors 16 90639)
 (vector-slots 8 1773190 53886)
 (floats 8 464 834)
 (intervals 56 5460 2974)
 (buffers 992 23)
 (heap 1024 64379 13426))

--0000000000003b6abc0592e63540
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br>The relevant commit (here linked from github):<br><a h=
ref=3D"https://github.com/emacs-mirror/emacs/commit/8635147ccba1fc8e1010010=
da8c3f8e467562f76#diff-10f71b5f4495401d9de9677a0836462b">https://github.com=
/emacs-mirror/emacs/commit/8635147ccba1fc8e1010010da8c3f8e467562f76#diff-10=
f71b5f4495401d9de9677a0836462b</a><br><br>With this latest change, if `imen=
u-auto-rescan` is set to `t` then<br>calling `imenu--index-alist` will retu=
rn `nil`. The fix is to change<br>`(unless imenu-auto-rescan (cons ...))` t=
o<br>`(if imenu-auto-rescan imenu--index-alist (cons ...))` in `imenu.el`.<=
br><br>Reproduction steps:<br>- Visit a file that supports `imenu` (e.g. an=
 elisp buffer with some<br>functions defined)<br>- C-M-; (setq imenu-auto-r=
escan nil)<br>- M-x imenu<br>- There should be items in the list<br>- C-M-;=
 (setq imenu-auto-rescan t)<br>- M-x imenu<br>- The list should be empty<br=
><br><br>In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3=
.18.9, cairo version 1.14.6)<br>=C2=A0of 2019-09-17 built on alex-Z370M-D3H=
<br>Repository revision: bc1c2cf009e30af77523fd87a8910fdbc4284704<br>Reposi=
tory branch: master<br>Windowing system distributor &#39;The X.Org Foundati=
on&#39;, version 11.0.11906000<br>System Description: Ubuntu 16.04.6 LTS<br=
><br>Recent messages:<br>Mark set [3 times]<br>Auto-saving...<br>imenu--mak=
e-index-alist<br>Scanning declarations in Cmdline.hs... ( 89%)<br>Sorting d=
eclarations in Cmdline.hs...done<br>Quit [2 times]<br>counsel-imenu<br>Scan=
ning declarations in Cmdline.hs... ( 89%)<br>Sorting declarations in Cmdlin=
e.hs...done<br>Quit [2 times]<br><br>Configured using:<br>=C2=A0&#39;config=
ure --with-imagemagick --with-gnutls --with-xwidgets<br>=C2=A0--with-cairo =
--with-mailutils --with-pop<br>=C2=A0--prefix=3D/home/alex/opt/emacs/instal=
l&#39;<br><br>Configured features:<br>XPM JPEG TIFF GIF PNG CAIRO SOUND DBU=
S GSETTINGS GLIB NOTIFY INOTIFY<br>GNUTLS LIBXML2 FREETYPE HARFBUZZ ZLIB TO=
OLKIT_SCROLL_BARS GTK3 X11 XDBE<br>XIM THREADS XWIDGETS PDUMPER GMP<br><br>=
Important settings:<br>=C2=A0 value of $LANG: en_GB.UTF-8<br>=C2=A0 value o=
f $XMODIFIERS: <br>=C2=A0 locale-coding-system: utf-8-unix<br><br>Major mod=
e: Haskell<br><br>Minor modes in effect:<br>=C2=A0 subword-mode: t<br>=C2=
=A0 haskell-decl-scan-mode: t<br>=C2=A0 intero-mode: t<br>=C2=A0 hl-line-mo=
de: t<br>=C2=A0 global-hi-lock-mode: t<br>=C2=A0 hi-lock-mode: t<br>=C2=A0 =
winner-mode: t<br>=C2=A0 direnv-mode: t<br>=C2=A0 pdf-occur-global-minor-mo=
de: t<br>=C2=A0 ivy-mode: t<br>=C2=A0 projectile-mode: t<br>=C2=A0 persp-mo=
de: t<br>=C2=A0 global-flycheck-mode: t<br>=C2=A0 flycheck-mode: t<br>=C2=
=A0 company-quickhelp-mode: t<br>=C2=A0 company-quickhelp-local-mode: t<br>=
=C2=A0 global-company-mode: t<br>=C2=A0 company-mode: t<br>=C2=A0 haskell-i=
ndentation-mode: t<br>=C2=A0 hybrid-mode: t<br>=C2=A0 global-evil-surround-=
mode: t<br>=C2=A0 evil-surround-mode: t<br>=C2=A0 global-evil-visualstar-mo=
de: t<br>=C2=A0 evil-visualstar-mode: t<br>=C2=A0 evil-leader-mode: t<br>=
=C2=A0 global-diff-hl-mode: t<br>=C2=A0 diff-hl-mode: t<br>=C2=A0 whitespac=
e-mode: t<br>=C2=A0 highlight-numbers-mode: t<br>=C2=A0 recentf-mode: t<br>=
=C2=A0 xah-math-input-mode: t<br>=C2=A0 global-xah-math-input-mode: t<br>=
=C2=A0 global-anzu-mode: t<br>=C2=A0 anzu-mode: t<br>=C2=A0 engine-mode: t<=
br>=C2=A0 which-key-mode: t<br>=C2=A0 show-smartparens-global-mode: t<br>=
=C2=A0 show-smartparens-mode: t<br>=C2=A0 smartparens-mode: t<br>=C2=A0 glo=
bal-undo-tree-mode: t<br>=C2=A0 undo-tree-mode: t<br>=C2=A0 shell-dirtrack-=
mode: t<br>=C2=A0 evil-local-mode: t<br>=C2=A0 save-place-mode: t<br>=C2=A0=
 override-global-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-m=
ode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 =
mouse-wheel-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-fon=
t-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<b=
r>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=
=A0 auto-compression-mode: t<br>=C2=A0 column-number-mode: t<br>=C2=A0 line=
-number-mode: t<br>=C2=A0 transient-mark-mode: t<br><br>Load-path shadows:<=
br>None found.<br><br>Features:<br>(shadow sort mail-extr emacsbug message =
rmc puny rfc822 mml mml-sec epa<br>epg epg-config gnus-util rmail rmail-loa=
ddefs mm-decode mm-bodies<br>mm-encode mail-parse rfc2231 mailabbrev gmm-ut=
ils mailheader sendmail<br>rfc2047 rfc2045 ietf-drums mm-util mail-prsvr ma=
il-utils misearch<br>multi-isearch pulse bug-reference cua-base expand-regi=
on<br>subword-mode-expansions text-mode-expansions the-org-mode-expansions<=
br>python-el-fgallina-expansions html-mode-expansions er-basic-expansions<b=
r>expand-region-core expand-region-custom evil-nerd-commenter<br>evil-nerd-=
commenter-operator evil-nerd-commenter-sdk smartparens-html<br>sgml-mode do=
m cl-print eieio-opt speedbar sb-image ezimage dframe<br>help-fns radix-tre=
e haskell-doc inf-haskell haskell haskell-completions<br>haskell-load haske=
ll-commands highlight-uses-mode haskell-modules<br>haskell-sandbox haskell-=
navigate-imports haskell-repl haskell-svg<br>haskell-collapse hideshow hask=
ell-debug haskell-interactive-mode<br>haskell-presentation-mode haskell-com=
pile haskell-hoogle haskell-process<br>haskell-session vc-git cap-words sup=
erword subword haskell-decl-scan<br>intero time hl-line company-oddmuse com=
pany-keywords company-etags<br>company-gtags company-dabbrev-code company-d=
abbrev company-files<br>company-capf company-cmake company-xcode company-cl=
ang company-semantic<br>company-eclim company-template company-bbdb company=
-anaconda<br>anaconda-mode url url-proxy url-privacy url-expand url-methods=
<br>url-history url-cookie url-domsuf url-util mailcap pythonic pyvenv<br>s=
martparens-python python tramp-sh tramp tramp-loaddefs trampver<br>tramp-in=
tegration files-x tramp-compat parse-time iso8601 ls-lisp<br>symbol-overlay=
 hi-lock winner lucius-mono-theme ob-haskell ob-python<br>powerline powerli=
ne-separators powerline-themes direnv pdf-occur tablist<br>tablist-filter s=
emantic/wisent/comp semantic/wisent<br>semantic/wisent/wisent semantic/util=
-modes semantic/util semantic<br>semantic/tag semantic/lex semantic/fw mode=
-local cedet pdf-isearch<br>let-alist pdf-misc imenu pdf-tools cus-edit cus=
-start cus-load pdf-view<br>bookmark text-property-search pp jka-compr pdf-=
cache pdf-info tq<br>pdf-util image-mode dired-filter f dired-aux dired-x d=
ired-subtree<br>dired-hacks-utils smex ido ivy-xref counsel-projectile coun=
sel xdg<br>swiper ivy flx delsel colir color ivy-overlay ag vc-svn find-dir=
ed s<br>dired dired-loaddefs persp-projectile projectile grep ibuf-ext ibuf=
fer<br>ibuffer-loaddefs perspective cl flycheck company-quickhelp pos-tip<b=
r>company proof-general custom-purescript-font-lock derived<br>smartparens-=
haskell haskell-mode haskell-cabal haskell-utils<br>haskell-font-lock haske=
ll-indentation haskell-string<br>haskell-sort-imports haskell-lexeme haskel=
l-align-imports haskell-compat<br>haskell-complete-module haskell-ghc-suppo=
rt flymake-proc flymake<br>warnings etags fileloop xref project compile dab=
brev haskell-customize<br>evil-surround evil-visualstar evil-leader diff-hl=
 vc-dir ewoc vc<br>vc-dispatcher diff-mode whitespace highlight-numbers par=
ent-mode<br>em-smart pcase em-hist eshell em-pred esh-mode esh-cmd esh-ext =
esh-proc<br>esh-io esh-arg esh-module esh-groups esh-opt esh-util recentf<b=
r>tree-widget wid-edit xah-math-input evil-anzu anzu engine-mode which-key<=
br>smartparens-config smartparens-org smartparens-text evil-smartparens<br>=
smartparens dash evil evil-keybindings evil-integration undo-tree diff<br>e=
vil-maps evil-commands reveal flyspell ispell evil-jumps<br>evil-command-wi=
ndow evil-types evil-search evil-ex shell evil-macros<br>evil-repeat evil-s=
tates evil-core evil-common windmove thingatpt rect<br>evil-digraphs evil-v=
ars autorevert filenotify saveplace diminish<br>use-package use-package-ens=
ure use-package-delight use-package-diminish<br>use-package-bind-key bind-k=
ey use-package-core finder-inf org-element<br>avl-tree generator org advice=
 org-macro org-footnote org-pcomplete<br>pcomplete org-list org-faces org-e=
ntities time-date noutline outline<br>easy-mmode org-version ob-emacs-lisp =
ob ob-tangle org-src ob-ref ob-lob<br>ob-table ob-keys ob-exp ob-comint com=
int ansi-color ring ob-core ob-eval<br>org-compat org-macs org-loaddefs for=
mat-spec find-func cal-menu calendar<br>cal-loaddefs rx cl-extra help-mode =
proof-site proof-autoloads edmacro<br>kmacro info package easymenu browse-u=
rl url-handlers url-parse<br>auth-source cl-seq eieio eieio-core cl-macs ei=
eio-loaddefs<br>password-cache json subr-x map url-vars seq byte-opt gv byt=
ecomp<br>byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniqu=
ify<br>ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win<br>term/=
common-win x-dnd tool-bar dnd fontset image regexp-opt fringe<br>tabulated-=
list replace newcomment text-mode elisp-mode lisp-mode<br>prog-mode registe=
r page menu-bar rfn-eshadow isearch timer select<br>scroll-bar mouse jit-lo=
ck font-lock syntax facemenu font-core<br>term/tty-colors frame cl-generic =
cham georgian utf-8-lang misc-lang<br>vietnamese tibetan thai tai-viet lao =
korean japanese eucjp-ms cp51932<br>hebrew greek romanian slovak czech euro=
pean ethiopic indian cyrillic<br>chinese composite charscript charprop case=
-table epa-hook jka-cmpr-hook<br>help simple abbrev obarray minibuffer cl-p=
reloaded nadvice loaddefs<br>button faces cus-face macroexp files text-prop=
erties overlay sha1 md5<br>base64 format env code-pages mule custom widget =
hashtable-print-readable<br>backquote threads dbusbind inotify dynamic-sett=
ing system-font-setting<br>font-render-setting xwidget-internal cairo move-=
toolbar gtk x-toolkit x<br>multi-tty make-network-process emacs)<br><br>Mem=
ory information:<br>((conses 16 672434 60435)<br>=C2=A0(symbols 48 42799 6)=
<br>=C2=A0(strings 32 200345 8564)<br>=C2=A0(string-bytes 1 6847260)<br>=C2=
=A0(vectors 16 90639)<br>=C2=A0(vector-slots 8 1773190 53886)<br>=C2=A0(flo=
ats 8 464 834)<br>=C2=A0(intervals 56 5460 2974)<br>=C2=A0(buffers 992 23)<=
br>=C2=A0(heap 1024 64379 13426))<br></div>

--0000000000003b6abc0592e63540--




Acknowledgement sent to Alex Peitsinis <alexpeitsinis@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37460; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.